Subject: Re: bug#47264: [PATCH v2] pcre: migrate to pcre2

From: Carlo Arenas <[email-masked]>
Date: Sun, 14 Nov 2021 17:01:20 -0800

On Sun, Nov 14, 2021 at 3:18 PM Carlo Arenas <[email-masked]> wrote:
> On Sun, Nov 14, 2021 at 2:45 PM Jeffrey Walton <[email-masked]> wrote:
> > On Sun, Nov 14, 2021 at 5:26 PM Carlo Arenas <[email-masked]> wrote:
> > > On Sun, Nov 14, 2021 at 12:45 PM Paul Eggert <[email-masked]> wrote:
> > > > ...
> > > using idx_t instead of size_t should be fine (if only halves the max
> > > size of the objects managed), but I am concerned that assuming
> > > PCRE2_SIZE_MAX is always equivalent to SIZE_MAX (as done in patch 4)
> > > might be risky (at least without a comment), and considering that is
> > > part of the API anyway might be better if kept as PCRE2_SIZE_MAX IMHO.
> >
> > GNU Hurd may not have SIZE_MAX defined. The Hurd folks
> > {sometimes|often} want developers to make a runtime call for the
> > limit.
>
> don't have any GNU Hurd system to test on, but would assume that in
> that case PCRE2 failed to build as well and then this code will never
> be compiled.

FWIW got Debian GNU Hurd and it has pcre2 and builds fine against it
because SIZE_MAX is where POSIX said it should (stdint.h)

Carlo